"report last commit for files and directories" undocumented/not clearly labeled

2011-06-07 03:32 - Dave Abrahams

Status: Closed Start date: 2011-06-07

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version: 1.2.0

Description

There's a checkbox in the Git repository settings whose label is far from self-explanatory, and it is undocumented as far as I can tell.

History

#1 - 2011-06-07 03:50 - Toshi MARUYAMA

- Category set to SCM

Please see #8365.

#2 - 2012-04-30 12:30 - Tiago Franco

Agree. What does the option "Report last commit for files and directories" mean?

Thanks.

#3 - 2012-05-18 07:41 - Hiroaki Nakamura

I could not understand what it means too, so I read the source and fount out.

source:trunk/app/views/repositories/_dir_list_content.html.erb

If you set the option "Report last commit for files and directories", four columns are added on repository file lists:

revision

age

author

comments

#4 - 2012-06-11 12:31 - @ go2null

- Status changed from New to Resolved

Added to Wiki RedmineRepositories which is referenced by RedmineProjectSettings.

#5 - 2014-06-17 01:11 - Lukas Pirl

Why is this label still around? :) It is still not intuitive at all…

What about

"Display properties of latest changing commit for files and directories"

or just

"Display latest commit for files and directories"?

#6 - 2014-08-15 17:55 - Jan Niggemann (redmine.org team member)

- Status changed from Resolved to Closed

- Resolution set to Fixed
https://www.redmine.org/issues/8365
https://www.redmine.org/projects/redmine/repository/svn/entry/trunk/app/views/repositories/_dir_list_content.html.erb
https://www.redmine.org/projects/redmine/wiki/RedmineRepositories#Create-the-bare-repository
https://www.redmine.org/projects/redmine/wiki/RedmineProjectSettings
